<%@ page language="java" import="java.util.*,com.letousky.lottery.action.AuxiliaryData,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	String[] params=new String[6];
	params[0]="";//时间
	params[1]=java.net.URLDecoder.decode(request.getParameter("usernikename"));
	params[2]=request.getParameter("status");
	params[3]=request.getParameter("gameid");
	params[4]=request.getParameter("pages"); //当前页数
	params[5]=request.getParameter("every"); //当前页显示的条数
	
	List list=new AuxiliaryData().resultsZhongjiang(params);
	String[] str=null;
	String d=",";
	Object[] obj=list.toArray();
	List items=(List)obj[0];
	String[] recod=(String[])obj[1];
	Object[] item=items.toArray();
	
	out.print("{\"recod\":\""+recod[0]+"\",\"items\":[");
	for(int i=0;i<item.length;i++){
		
		str=(String[])item[i];
		if(i==(item.length-1)){ d=""; }
		str[12] = str[12].replaceAll(":","-").replaceAll(",","").replaceAll("\\s","");
		out.print("{\"serino\":\""+str[0]+"\",\"userid\":\""+str[1]+"\",\"usernikename\":\""+str[2]+"\",\"gameid\":\""+str[3]+"\",\"betway\":\""+str[4]+"\",\"upid\":\""+str[5]+"\",\"betMultiples\":\""+str[7]+"\",\"numshare\":\""+str[8]+"\",\"bets\":\""+str[9]+"\",\"time\":\""+str[10]+"\",\"zjye\":\""+str[13]+"\",\"status\":\""+str[15]+"\",\"bet\":\""+str[16]+"\",\"countPrice\":\""+str[17]+"\",\"manner\":\""+str[18]+"\",\"isopen\":\""+str[19]+"\",\"info\":\""+str[12]+"\"}"+d+"");
	}
	out.print("]}");
	System.out.println(params[0]+"=====ddd==========");
	System.out.println(params[1]);
	System.out.println(params[2]);
	System.out.println(params[3]);
	System.out.println(params[4]);
	System.out.println(params[5]);
%>